{
  "name": "petrental",
  "version": "0.0.1-SNAPSHOT",
  "description": "Description for petrental",
  "private": true,
  "license": "UNLICENSED",
  "cacheDirectories": [
    "node_modules"
  ],
  "dependencies": {
    "@angular/common": "10.0.0",
    "@angular/compiler": "10.0.0",
    "@angular/core": "10.0.0",
    "@angular/forms": "10.0.0",
    "@angular/localize": "10.0.0",
    "@angular/platform-browser": "10.0.0",
    "@angular/platform-browser-dynamic": "10.0.0",
    "@angular/router": "10.0.0",
    "@fortawesome/angular-fontawesome": "0.6.1",
    "@fortawesome/fontawesome-svg-core": "1.2.29",
    "@fortawesome/free-solid-svg-icons": "5.13.1",
    "@ng-bootstrap/ng-bootstrap": "6.1.0",
    "@ngx-translate/core": "12.1.2",
    "@ngx-translate/http-loader": "5.0.0",
    "bootstrap": "4.5.0",
    "moment": "2.27.0",
    "ng-jhipster": "0.15.0",
    "ngx-cookie-service": "3.0.4",
    "ngx-infinite-scroll": "9.0.0",
    "ngx-webstorage": "5.0.0",
    "rxjs": "6.5.5",
    "swagger-ui-dist": "3.25.1",
    "tslib": "2.0.0",
    "zone.js": "0.10.3"
  },
  "devDependencies": {
    "@angular/cli": "10.0.0",
    "@angular/compiler-cli": "10.0.0",
    "@ngtools/webpack": "10.0.0",
    "@openapitools/openapi-generator-cli": "1.0.13-4.3.1",
    "@types/jest": "26.0.3",
    "@types/node": "13.13.4",
    "@typescript-eslint/eslint-plugin": "2.30.0",
    "@typescript-eslint/eslint-plugin-tslint": "2.30.0",
    "@typescript-eslint/parser": "2.30.0",
    "autoprefixer": "9.8.4",
    "browser-sync": "2.26.7",
    "browser-sync-webpack-plugin": "2.2.2",
    "codelyzer": "5.2.2",
    "copy-webpack-plugin": "6.0.2",
    "css-loader": "3.6.0",
    "eslint": "6.8.0",
    "eslint-config-jhipster": "0.0.1",
    "eslint-config-prettier": "6.11.0",
    "eslint-loader": "4.0.2",
    "file-loader": "6.0.0",
    "friendly-errors-webpack-plugin": "1.7.0",
    "generator-jhipster": "6.10.4",
    "html-loader": "1.1.0",
    "html-webpack-plugin": "4.3.0",
    "husky": "4.2.5",
    "jest": "26.1.0",
    "jest-date-mock": "1.0.8",
    "jest-junit": "11.0.1",
    "jest-preset-angular": "8.2.1",
    "jest-sonar-reporter": "2.0.0",
    "lint-staged": "8.2.1",
    "mini-css-extract-plugin": "0.9.0",
    "moment-locales-webpack-plugin": "1.2.0",
    "optimize-css-assets-webpack-plugin": "5.0.3",
    "postcss-loader": "3.0.0",
    "prettier": "2.1.2",
    "rimraf": "3.0.2",
    "sass": "1.26.9",
    "sass-loader": "8.0.2",
    "simple-progress-webpack-plugin": "1.1.2",
    "style-loader": "1.2.1",
    "terser-webpack-plugin": "3.0.6",
    "thread-loader": "2.1.3",
    "to-string-loader": "1.1.6",
    "ts-loader": "7.0.5",
    "tslint": "6.1.2",
    "typescript": "3.9.5",
    "generator-jhipster-primeng": "9.1.0",
    "webpack": "4.43.0",
    "webpack-bundle-analyzer": "3.8.0",
    "webpack-cli": "3.3.12",
    "webpack-dev-server": "3.11.0",
    "webpack-merge": "4.2.2",
    "webpack-notifier": "1.8.0",
    "workbox-webpack-plugin": "5.1.3",
    "write-file-webpack-plugin": "4.5.1"
  },
  "engines": {
    "node": ">=12.16.1"
  },
  "scripts": {
    "prettier:format": "prettier --write \"{,src/**/}*.{md,json,ts,css,scss,yml}\"",
    "lint": "eslint . --ext .js,.ts",
    "lint:fix": "npm run lint -- --fix",
    "ngc": "ngc -p tsconfig.app.json",
    "cleanup": "rimraf build/resources/main/static/",
    "clean-www": "rimraf build/resources/main/static/app/{src,build/}",
    "start": "npm run webpack:dev",
    "start-tls": "npm run webpack:dev -- --env.tls",
    "serve": "npm run start",
    "build": "npm run webpack:prod",
    "test": "npm run lint && jest --coverage --logHeapUsage -w=2 --config src/test/javascript/jest.conf.js",
    "test:watch": "npm run test -- --watch",
    "webpack:dev": "npm run webpack-dev-server -- --config webpack/webpack.dev.js --inline --hot --port=9060 --watch-content-base --env.stats=minimal",
    "webpack:dev-verbose": "npm run webpack-dev-server -- --config webpack/webpack.dev.js --inline --hot --port=9060 --watch-content-base --profile --progress --env.stats=normal",
    "webpack:build:main": "npm run webpack -- --config webpack/webpack.dev.js --env.stats=minimal",
    "webpack:build": "npm run cleanup && npm run webpack:build:main",
    "webpack:prod:main": "npm run webpack -- --config webpack/webpack.prod.js --profile",
    "webpack:prod": "npm run cleanup && npm run webpack:prod:main && npm run clean-www",
    "webpack:test": "npm run test",
    "webpack-dev-server": "node --max_old_space_size=4096 node_modules/webpack-dev-server/bin/webpack-dev-server.js",
    "webpack": "node --max_old_space_size=4096 node_modules/webpack/bin/webpack.js"
  },
  "jestSonar": {
    "reportPath": "build/test-results/jest",
    "reportFile": "TESTS-results-sonar.xml"
  }
}
